import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/customerInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/customerInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/customerInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/customerInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/customerInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/customerInfo/delete/" + id);
}

function checked(id) {
  return request.post(constant.serverUrl + "/base/customerInfo/checked/" + id);
}


function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/customerInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,checked
}